
   What's new in PicturesToExe Deluxe

   PicturesToExe Deluxe 5.5 (June 2, 2008)
   ---------------------------------------
   + Timeline is integrated to the main window now. 
     - Pressing "Timeline" button switches between Slide list and Timeline.
     - You can drop new slides to Timeline from File list.
     - Parameters of the timeline mode are located in Main menu | View | Timeline Options.
     - Waveform now displays mixed left/right channels. But you can turn on independent view of left/right channels waveforms. See timeline options in Main menu.
     - "Autospread slides along music" option moved to Project options | Main tab.
     - Faster work of the timeline on very long slideshows (one hour and longer).
     - You can adjust end of a slideshow on the timeline (dragging vertical green line after last slide).
     - Added "Set End of Last Slide at End of Music" command to "Timed points" menu in Timeline view.      
   + Slide list displays pictures of real slides. (See Main menu | View | Advanced Options | "Show real slides in Slide list" option)
   + Preview displays real slide at top-right part of the main window. (See Main menu | View | Advanced Options | "Show real slide in mini-player" option)
   + Added mini-player to the main window:
     - You can quickly play your slideshow in this small preview window (press Play/Stop button) 
     - Quick access to any part of a slideshow.
     - Left mouse click for Play/Pause.
     - Right mouse click for fullscreen preview in both states: when paused and when it plays.
   + Main window now displays duration of a slideshow (in minutes and seconds).  
   + Other improvements in the main window:
     - Picture/Sound/Comment fields are moved to the top part of the window.
     - Reworked pictures of a folder, improved view of a selected slide.
     - Reworked view of a drag'n'drop cursor in Slide list.
     - Other small improvements.
   + Improvements in Objects and Animation window:
     - Added Grid (Ctrl+G) to "Objects and animation" editor. You can adjust parameters of the grid and enable "Snap To Grid" option.       
     - Added "Cut" button to the top toolbar.
     - Reworked view of Delete, Undo, Redo, Copy, Paste buttons.   
   + New version includes official User Guide in PDF format.
   + New Welcome screen (when you first time starts PicturesToExe).
   + Added "Auto Save Project every ... minutes" option. (See Main menu | View | Advanced options).
   + Visual improvements in Music tab of Project options.   
   + Added support of media keys on a keyboard: Play/Pause, Stop, Next/Preview slide
   + Displaying of pixel size of main image has been moved to status bar.
   + Added Farsi language.
   * Fixed problem with black screen on encoding of DVD-Video disc or AVI file on some PC/laptops with Intel integrated video cards.
   * Fixed crashes of PicturesToExe (main program only) and VideoBuilder under Windows Vista with DEP protection (NX-bit) option enabled for all applications.  
   * Improved burning of DVD-Video discs. Previously discs couldn't be burned on some PCs with previous versions.    

   Updated build 5.51 (July 7, 2008):
   + Updated language files: Chinese, English, Farsi, French.
   * Fixed a bugs in fullscreen view of Slide list opened from Timeline mode (selecting slides with pressed Ctrl key, deleting slides by Del key).
   * Fixed incorrect work of "Arrange All Points" function when no music.
   * Fixed bug with displaying effect time ("About 3 seconds") in "Effects" tab of Project options.  

   Updated build 5.52 (July 11, 2008):
   * Fixed problem with too high memory usage in main program of PicturesToExe. (The problem doesn't affect on created EXE file of a slideshow.)




   PicturesToExe Deluxe 5.1 (December 13, 2007)
   --------------------------------------------
   + VideoBuilder:
     > Encoding of DVD-Video disc (and AVI) works in 2-4 times faster now due to optimization for dual-core CPUs and using of hardware acceleration for video post-processing (if modern video card installed). Exactly same video quality as in previous version.
     > You can choose a number of items per page in DVD menu.
     > MPEG2 files can be added to a project. For example, you can encode your slideshow(s) to MPEG2 video file(s) and then use it again in new projects without re-encoding of it again.  
     > Music for DVD menu (with "Fade in" and "Fade out" parameters).
     > Color adjusting of DVD menu (Hue, Saturation and Lightness). It allows very quickly modify a view of DVD menu and find your own individual style.
     > Adjusting of a background image parameters (Tile, Stretch, Fit)
     > Support of all kinds of AVI files imported to a project (including AVS video file scripts). 
     > A new tab in the Project options window - "Program" (customizing of priority mode for encoding and temp folder).
     * More exact calculation of required disc space.
   + "Wait for a key press to show next slide" option in Project options available again. You can overwrite global value in a properties of a slide.
   + Adjusting of colors for Text/Button objects in hover and pressed states activated again.
   + PicturesToExe starts much faster now.
   + Timeline window remembers current position of a cursor and selected keypoint when you switch between Timeline window and main window of PicturesToExe.
   + Added support of multi-line default text comment for all slides (Project options | Comments tab).
   + Visual improvements in Music tab of Project options and Customize slide windows. You can visually re-arrange files in the playlist.
   + Slide list shows a hint what to do, when no slides added.
   + Added "Offset" parameter to "Advanced hour hand" effect in properties of a slide.
   + Small improvements in Create AVI file window (it displays filename of created AVI and browse button to open folder with AVI).
   * Fixed bug with too large controls in Drop shadow dialog when 120 dpi graphics mode used. 
   * Fixed bug of previous versions when you couldn't create AVI file and "catCantCreateFile" error message occured. It happened when name of project contained a dot symbol ("Project 1.1" for example).
   * Fixed bug of previous versions with renaming of image filename in Slide list if there are two or more slides with same image file.
   * Fixed bug of previous version when mouse wheel didn't work in Open/Save dialogs.
   * Fixed bug of previous versions when "Load last used project" option in fact always was enabled. 
  



   PicturesToExe Deluxe 5.0 (July 17, 2007)
   ----------------------------------------                  
   + New Visual editor where you can add Pan/Zoom/Rotate effect. 
     See "Objects and Animation" button (Ctrl+B) on the main window.
     > Added "Drop Shadow and Glow" option for objects (see Objects and Animation window).
     > Added "Diagonal" style for Rectangle objects.
     > Added alpha parameter to color of Rectangle objects. You can set alpha 255 for one side and 0 for another side and make partially semi-transparent rectangle.
     > Added "Perspective correction for Zoom" option for objects. See "Objects and animation" window.
       With this option enabled we simulate true movement of a camera to an object. 
     > You can adjust any non-linear speed for Pan/Zoom/Rotate effects for objects.
   + Added Undo (Ctrl+Z) and Redo (Ctrl+Y) features.
     See Main menu | Project | Undo (Ctrl+Z) and Redo (Ctrl+Y).
   + Transition effects:
     + All transition effects work much more smooth with new graphical engine, especially "Curling of page"
     + You can change center of appearance for "Circle" effect.  
   + Improved Navigation bar. 
     > New Navigation bar themes.
     > Fade in/out effects.
     > New parameters.
     > Added support of skins. You can add any images of buttons and background,
       Navigation bar can be semi-transparent and has a shadow. See folder "NavBar"
       in PicturesToExe's folder. Just add new folder to create new style of Navigation bar.
   + Added tree of folders to main window. See Main Menu | View | Show tree (Ctrl+G)
   + Added support of PNG images files (including PNG with partial semi-transparency).
   + You can quickly remove slide(s) from Slide list simply dragging them back to File list.
   + You can quickly press Enter to show "Customize slide" window for selected slide(s).
   + Main image of a slide can be transparent GIF or transparent PNG now.
   + Added new function to Main menu | File. "Create backup in ZIP" which compress all files 
     of your project into one ZIP archive. It can be useful for moving project to another PC.
   + Vastly improved speed of work of PicturesToExe's main window. Instant response now.
     Especially when you work with 1000 or more slides in the Slide list.
   + Added new style of background image of a slide: "Fit to screen".
   + New view of color dialog.
   + Added option "Keep slide aspect ratio" (1,3333 by default) to correctly draw slide
   + Added "Scale keypoints in objects (on time change)" option in properties of a slide, "Main" tab.
     This option useful if you have complex animation (with several keypoints) and you need to change slide time from 4 seconds to 12 seconds, for example.
   + Added "Loop this slide" option in properties of a slide, "Main" tab.  
   + AVI video output window: 
     + Added "Anti-flicker filter" which is turned on by default.
     + Added "HD-1080" mode. If you slideshow has 4:3 aspect ratio it produces 1440x1080, if 16:9 then 1920x1080 
     + Added "HD-720 progressive, 50/60 frames" mode.
   + Fully rewritten music player and improved quality of sound. 
   + Vastly improved quality of video output (AVI, DVD and HDTV).
   + Ability to insert comment or description from EXIF info of JPEG images. 
     See Project options | Comments tab | "Set comments for all slides as" | "Display EXIF". 
     on various displays (usual 4:3 and wide screen). See Project options | Screen tab.
   + Added compatibility of main interface of PicturesToExe 
     with Large font (120 dpi) mode of Windows.
   + Main interface of PicturesToExe supports "Clear type" font mode of Windows XP.
   + Various improvements in File list in the main window.
   + You can customize double click in the Slide list: show Slide window or Objects and animation window. See main menu | View | Advanced options.
   + Enlarged size of preview area in "Customize synchronization" window.
   + Added text macros.
   + New "About PicturesToExe" window.
   + New Welcome Screen.
   + Added "Loop this slide", "Pause at the end of this slide", "No actions after this slide" options in properties of a slide, "Main" tab.   + New drive bar (in main window).
   + You can create screensaver from any EXE file with slide show which created in v5.00 or later. Just rename SlideShow.exe to SlideShow.scr
   + Added "Pause when window of slide show becomes inactive" option (Project options | Main tab).
   + Added compatibility of main application of PicturesToExe with Windows Vista.
   + Added compatibility of main application of PicturesToExe with restricted user accounts in Windows.
   + Added global option "Allow modification of EXE file with slide show" (Main menu | View | Advanced).
     This option disabled (by default) and if EXE file with slide show damaged or infected, it will warn that slide show damaged and will not run.
     When this option enabled, you can use EXE packer/crypors to pack or additionally protect EXE file.
   + Improved installer (allows to choose folder where to store settings and templates).
   + Indication of personalized slide displays at status bar of main window. "(P)" symbol before file name of main image.

   Updated build 5.01
   * Fixed bug with incorrect size of shadow for JPEG images in slide show when "Hardware acceleration" option disabled.
   * Fixed bug when Distance of shadow for a button object changes according length of caption.
   * Fixed bug with earlier appearing of a next slide where set "Quick transition" when "Hardware acceleration" option disabled. 

   Updated build 5.02
   + Updated Polish language file.
   * Duration value didn't show on the status bar when you visually changed duration of a transition effect on the timeline.
   * Fixed rare bug of previous versions when "Select all images" action in popup menu not always worked for the File list.

   Updated build 5.03
   + Creating of ISO image of DVD disc in VideoBuilder works much faster now.
   * Fixed bug under old Windows 95/98/Me in the slideshow engine. When Help window, or startup screen adjusted without an image appeared, slideshow crashed.
   * Fixed bug when startup screen with an image could be larger than current screen resolution (for example, if you used huge 3500x2200 image).  

   Updated build 5.04
   + Added link to Complete User Guide for PicturesToExe Deluxe 5.0 (By Lin Evans and Jeff Evans (Appendix G By Ray Waddington) (127 pages, PDF file, 7 MB) to Help file. http://www.wnsoft.com/apr/PicturesToExe_v50_UserManual_en.pdf
   * PicturesToExe didn't support 8-bit grayscale PNG images with alpha channel. The problem fixed now. 



   PicturesToExe v4.48 (March 28, 2006)
   ------------------------------------
   * Fixed bug with stopping of show only in automatically synchronized slide-show (EXE file and AVI) longer than 1 hour with 400 or more of slides.
     This problem always occured in this combination parameters on any PC.

 

   PicturesToExe v4.47 (March 10, 2006)
   ------------------------------------
   * Main program of PicturesToExe: 
     - Fixed problem with incorrect order of slides after adding of copied slides to the end.
     - Fixed problem of v4.46 when temp folder of PicturesToExe was mistakenly located in My documents. This problem happened only with main program of PicturesToExe.
     - Fixed problem with drag-n-drop in file panels under Windows Vista (Beta) with 3D Aero Glass interface.
   * Slide-show engine:
     + No problem found.



   PicturesToExe v4.46 (February 2, 2006)
   --------------------------------------
   * Fixed possible problem when in fullscreen Preview there was no sound.
   * Fixed problem with no sound if start EXE file with slide-show from folder 
     which contains Japanese or Arabic symbols in the name.
   * After "Save as" of a project, PicturesToExe will ask for path to EXE file on "Create" button click.


   PicturesToExe v4.45 (January 5, 2006)
   -------------------------------------
   * Fixed possible problem with music, 
     if you have Skype USB Phone (mistake in drivers for this device).  
   * Fixed bug with "Import transition points" function in the timeline window.
     (A last point always skiped after importing from another project.)


   PicturesToExe v4.44 (November 14, 2005)
   ---------------------------------------
   * Fixed problem with error message during in Preview mode with some rare 
     JPEG images which has incorrect EXIF fields.
   + Added support of Arabic language file.


   PicturesToExe v4.43 (August 29, 2005)
   -------------------------------------
   * Fixed bug with an error message during overwriting of a template in PicturesToExe.


   PicturesToExe v4.42 (June 3, 2005)
   ----------------------------------
   * Fixed problem with lockings up on PCs with professional sound card RME DIGI9652.
    

   PicturesToExe v4.41 (April 13, 2005)
   ------------------------------------
   * Fixed bug when Ulead DVD MovieFactory or another DVD converter 
     didn't work with video file of PicturesToExe.
   * Improved stability with AVI video output feature
   * Fixed bug when random show of slides didn't work in synchronized presentation.
   * Fixed one visual bug on the timeline.
   * Fixed problem with skipping of sound comments (closely located) in some cases.


  PicturesToExe v4.40 (March 28, 2005)
  ------------------------------------
   + Added new terrific transition effect: Curling of page
     It contains 16 variations and ability to set radius of curling.
     Horizontal/vertical variations of this effect work smooth on any PC. 
     (Note: Diagonal variants require a very fast PC. 
     We'll try to optimize this new diagonal effect in the future.)
   + Fully reworked "Customize synchronization" window:
     > Work with real slides on the timeline.
       It means that every transition point is exactly linked with a particular slide.
     > Added "Shift points..." feature allows to shift all or selected points.
     > Added "Shift all points to right" function moves all points outside the music; 
     > Added "Insert Slide" button.  
       Now you can insert one or several new slides directly into the timeline.
     > Added "Delete Slide" button removes selected transition points and slide(s).
     > Added "Replace Main Image" action in popup menu. 
       (Click the right mouse button on a transition point.)
     > Cancel button abolishes all changes with slides (if you mistakenly deleted slides);
     > Added a popup menu for transition point(s);
     > Multi-select and various actions with several selected transition points;
     > And all usual actions with Shift and Ctrl keys;
     > Added a transition point of a first slide;
     > Improved preview of transition effects;
     > Vastly improved a show of waveforms. Just click "Waveform" button and all visible
       waveforms will be shown automatically;
     > Ability to change a duration of an effect visually. 
       Drag the small grip at the end of the effect strip;
     > Press Up/Down keys for the accurate (+/- 10 ms.) moving of the cursor;
     > Press Ctrl+Up/Ctrl+Down keys (or <  >) to move cursor between slides and strips of effect durations;
     > Press Right/Left keys to move between transition points;
     > Added "Import Points from Another Project..." function;
     > Added "Auto Addition of New Transition Points for New Slides" option. (See "View" popup menu).
       Disable it if you prefer to control fully the addition of new transition points; 
     > Other improvements.                           
   + Now you can edit personal settings of several selected slides.
     It means that, for example, it is possible to set a transition effect 
     for several slides, but the other personal parameters 
     will be left individual. 
   + Alternative Slide list, File panel or Timeline scrolling. Hold Alt key,
     press mouse button and move the mouse (as in PageMaker, or in Photoshop).
   + Added "Timeline" button to the main window of PicturesToExe and Ctrl-L hotkey for the same purpose.
   + Improved the protection of "Expire date" option.
   + Added new kinds of protection: "Expire after (days)" and "Number of runs".
   + Improved Navigation bar:
     > Added "Auto hide Navigation bar after <...> seconds" options;
     > Added "Hide Navigation bar at startup" option; 
   + Improvements in AVI video output:
     > It supports personalized background music now. 
       (If you want to set a new playlist starting from a definite slide.)
     > Added "Show safe TV zone" option in Visual editor window. 
       This can be useful for preparing a slide show for DVD disc.
   + "Display slides in random order" option works for synchronized shows.
   + Added "Don't interrupt sound comment when next slide appears" option.
     It allows to play sound comment during several slides. (Project options | Music tab).
   + Added "Random order" function (Alt+R or see popup menu) for the Slide list. 
     It will help to sort all (or selected) slides in random.
   + Improved "Run application" action for buttons/hyperlinks or when a new slide appears: 
     > It allows to run several applications. Type: "notepad.exe, "calc.exe"
     > It is possible to specify a parameter: "C:\My Slide show.exe" 7
     Please use double quotes for file paths to applications. 
     E.g.:  "notepad.exe" "C:\My text.txt"
   + You can start another slide show (EXE file) from a necessary slide of a current one.
     Use "Run application" action and type: "C:\My Slide show.exe" 7
   + Added "Offset" parameter to "Comments" tab in the Project options. 
   + Improved file transference of a project into another disk or PC. 
     (Copy the main folder of your project (which may contain embedded 
     folders with pictures or music) and PicturesToExe will find new file paths.) 
   + Various improvements in the interface of the main window.
   + Added AVIVideoRenderWidth and AVIVideoRenderHeight parameters in apr.ini file
     to be able set internal render resolution for video output.
     Please don't change their default values (1024x768), because it affect only 
     if you will render video for HDTV (1280x960 or larger).
   + PicturesToExe automatically detects protected WMA files if you add them 
     and shows warning message that the program could't play such files on another PCs.
     (It is not our restriction, PicturesToExe physically can't play protected WMA files)
   + Old user manual replaced with new tutorial.
   * Improved stability of music player on two-CPU PC with Windows 2000.
   * Fixed the bug with the show of some transparent GIFs in the 16-bit (Hi-Color) screen mode.  
   * Fixed a small visual bug in Visual editor.
   * Fixed the bug when error message occured after the last slide with the following 
     parameters: the slide show is synchronized, "Show transition effect to desktop after 
     last slide" option is checked, and the first slide is shown without a main picture. 

                                 

  PicturesToExe v4.31 (October 11, 2004)
  ----------------------------------------
    * Fixed some cases when AVI video output feature didn't work in v4.20 or in v4.30:
      Improved work with Ulead DVD Movie Factory and Media Player 7; 
      Added compatibility with Adobe Encore DVD, Sonic DVDIt, Sonic MyDVD.
    + Vastly improved quality of "Sharpness filter" option.
    + Improved German, Romanian, Ukrainian and Chinese translations.   

                                            

  PicturesToExe v4.30 (September 23, 2004)
  ----------------------------------------
    + File panel and Slide list now can be displayed as thumbnails or in its 
      classical view (table) (to switch between these views press Ctrl+1 and 
      Ctrl+2 (for File panel or Slide list accordingly), or via small "V" buttons).
    + There are available second layout style (Slide list in full width of the window).
      And third layout when Slide list shown vertically in full height of the main window.
      Press Ctrl+F1 and Ctrl+F2 and Ctrl+F3 to switch between classical and two new layouts. 
      Or visit Main menu | Options. 
    + Main features of thumbnails view of File panel or Slide list:
      > Easily resizeable items in real-time by trackbar or Ctrl+mouse wheel;
      > Ability to display pictures without text captions (Shift+1, Shift+2);
      > Resize items by moving new splitter between Slide list and Preview area. 
    + Light table (on full screen). 
      This mode allows to concentrate on adding of new pictures or re-arranging of slides. 
      Press "F" buttons or F3 key to see light table for File panel 
      or F4 key for light table of Slide list.
    + Multi-select in file panel and Slide list.
      With mouse, or with Shift, or with Ctrl keys. Now it works as in Windows Explorer.
    + Visual drag-and-drop.
      Dragged items looks semi-transparent as in Windows XP. And it works in any Windows!
    + Actions with with several selected slides or files. 
      You can easily delete, shift, re-arrange and copy any count of items at a time. 
    + Improved transition effects:
      > Fade effect works in two times (i.e. on 100%) more fast and smooth. 
        So now Fade effect shows smoothly even on old PC with Pentium 233-400 Mhz;
      > Vastly improved Push and Slide effects. It should works more smooth now. 
    + Waveform feature in "Customize synchronization" window.
      Set the cursor to range of necessary music track on the time-line and then
      click "Waveform" button or press Ctrl+W. This feature may help you to 
      exactly assign transition points to necessary moments in music.
    + Now you can rename files in the File panel or in the Slide list. PicturesToExe
      will automatically update path of added slide which use renamed picture.
    + You can rotate pictures (Ctrl+F). It's a lossless rotation and it provides exactly 
      original quality. Open popup menu in the File panel or Slide list to rotate picture(s).
    + Also portrait JPEG pictures with EXIF (shooted by digital cameras which write 
      orientation of a photography) will be shown rotated automatically. 
    + It's possible now to choose folder where to store your templates. 
      Open "Manage templates" window (Ctrl+E), set new folder and click "OK" button. 
    + Added advanced popup menu for the File panel (by right mouse click) as in Windows
      Explorer. This advanced menu allows to perform standard actions: copy, paste, 
      delete file(s) and etc. It also works for several selected files, too.
    + New style of work of the mouse wheel (so-called X Mouse) in the main window.
      (But you can turn this mode off. Visit the Main menu | Options | Advanced options)
    + Added "Show transition effect to desktop after last slide" option (see "Screen" tab).
    + It's possible to add your own copyright logo to all slides. The best visual 
      results can be reached using of 32-bit .bmp images with alpha channel or with 
      transparent GIF images. (See Project options | Advanced tab). 
    + Improved music player:
      > Transition effect shown in the moment between two music tracks will not jerk more.
      > Really random playback when this mode is choosed. Always new track from playlist.
      > Preparing of slides with sounds works a little bit faster.
    + Another improvements in the "Customize synchronization" window:
      > Right mouse button click to show popup menu.
      > To start full-screen preview from first slide, click "Preview" button
        when there is no selected transition point.
      > The window can be resized;
      > Transition point to the last slide is shown in more gray color;
      > Mouse wheel works for scrolling of the time-line now;  
      > To scale time-line you need to use mouse wheel with pressed Ctrl now.
    + You can go to a next or to a previous slide keeping Pause mode 
      in the synchronized slide-shows.
    + You can see full screen preview of a picture by pressing of "Space" button.
      It especially can be useful in full screen mode of thumbnails view (light table).
    + It's possible to move selected slides to the end of the list (Ctrl+End) or
      to the top of the list (Ctrl+Home). Or see popup menu.
    + You can open for editing current picture by Ctrl+W hotkey.
    + PicturesToExe will automatically update thumbnails and preview of pictures
      which you modified in graphical editor.
    + Improved "Welcome screen" which appears after installation of PTE.
      It helps to choose necessary view of PicturesToExe.
    + Added "Disable F1 key" option (Project options | Advanced tab).
    * Various minor improvements.
    * Fixed several minor bugs.



  PicturesToExe v4.20 (March 5, 2004)
  -----------------------------------
    + AVI video output feature.                            
      Now you can produce your presentations as AVI video file 
      and then (using special software) burn DVD-Video, VCD, or SVCD disc.
      (Please read chapter in the help about work with video output.)
    + Improvements in transition effects:
      > Added new transition effect - "Advanced hour hand" (with variations).
        This effect has special "Offset" option for fine customization.
      > Added new "Push" and "Slide" transition effects. We recommend to show 
        these effects or quickly (500 ms.), or slowely (3,5 second and longer). 
      > Vastly improved quality of smoothing line in all effects.
        For existed projects please increase thickness from old 40 to 60 points.
      > Vastly improved "Mosaic" transition effect (old name "Hot blocks").
        This effect has new smooth view. Available 3 parameters for fine customization.
        (Note: with "Appearance:" parameter as 100 and "Parts:" 26 x 20 it works exactly 
        as "Hot blocks" effect in previous versions of PicturesToExe.)
      > Added "Show first transition effect from desktop" option (Project options | Screen tab)    
      > You can quickly select/deselect groups of effects clicking on title of effect 
        (see Project options | Effects tab).
      > Fade effect works on 20%-50% more smoothly now.   
      ! Fade effect is turned on by default now (in Project options).
    + Improved synchronized mode of presentation. Now you can fully control 
      presentation in this mode; go to any slide; use Navigation bar; Pause feature.
      To activate this mode set checked "Permit the control" (Project options | Main tab).
    + Vastly improved MIDI playback on old PCs (Pentium 150 - 400 Mhz).
    + New improvement in "Customize Synchronization" window:
      > Added auto scrolling when you move transition point outside of visible part of time-line;
    + It's possible to adjust thickness of smoothline in the personal settings of a slide.
      (E.g. you can set 40 pixels of smootline for 1st slide and 80 pixels for 2nd slide).
    + Added customizable shadow for picture objects (Visual editor | "Properties" window of an object).    
    + Improved Print function (in presentations). Picture or slide fits on full page now.
    + Added support for 32-bit .bmp images with alpha channel (for use as objects).
    + Added "Disable mouse wheel" option (Project options | Advanced tab).
    + Added .wma and .ogg support in sound comments for slides.
    + Various small improvements.
    - Removed "Use smoothing" option, because smoothing is always turned on now.
      when if it's necessary to fit large picture on the screen.
    * Fixed two bugs in Visual editor of objects which caused show of messages about error.
    * Fixed rare bug of v4.10-v4.14 with incorrect work of "Print slide" feature.
    * Fixed old small visual bug in "Customize synchronization" window.
    * Fixed several minor bugs.
   

  PicturesToExe v4.14 (October 7, 2003)
  -------------------------------------
    + Fixed rare cases of skips in playback of MP3, OGG WMA music under some PCs. 


  PicturesToExe v4.12 (September 4, 2003)
  ---------------------------------------
    * Fixed bug of v4.10 when you was not able to set "Time limited usage" option in new presentations.
    * Fixed bug of v4.01 and v4.10 only with synchronized presentations which have 
      Startup Window with added "Exit" button. Presentation closes with error, 
      if user choosed "Exit" button in this Startup window. The problem is fixed now.
    * Fixed bug of v4.10 when Visual Editor crashed on exit.
    * Fixed delay with synchronization in OGG Vorbis music file after rewinding on the time-line.
    * Fixed old bug when personal music of a slide didn't start, if main playlist is empty 
      and "Repeat music after playing" option is turned off.
    * Fixed bug in window of Personal settings of a slide.
    * Fixed old memory leaks, if terminate Fade in/out transition effect.
    * Fixed sound skips on old PCs (166 - 400 Mhz) when second or later mp3 music file starts.
    * Fixed several minor bugs.
    + Improved smoothness of Fade in/out transition effect for first slide with background music.  
    + Various minor improvements. 
    + Updated Slovak and Ukrainian language files.     


  PicturesToExe v4.10 (August 12, 2003)
  -------------------------------------
    * Fixed two old minor visual bugs in the main window of PicturesToExe. 
    * Fixed old visual bugs on the time-line in case of long music track (40 minutes and more).
    * Fixed bug of v3.80 and v4.00 when music plays however, even if you've turned off 
      "Play background music" option ("Music" tab of Project options).
    * Fixed old bug when PicturesToExe showed error messages if it was added incorrect or damaged JPEG or GIF picture
    * Fixed old bug with creating of template. Some main pictures of slides 
      or music files were not copied into template's folder if "Show picture"   
      or "Play background music" were unchecked.
    * Fixed old small bug when name of an opened template was added into "Recent Projects" list.
    * Fixed old memory leak. Presentation might fall with "Out of system resources" 
      message, if many slides contained large objects (pictures or transparent buttons).
    * Fixed old bug when you copy slide it didn't remember color of 
      text comment in the personalized slides
    * Fixed old visual bug on the time-line (in the Customize synchronization window)
      when sometimes it didn't show preview for selected transition point in the Pause/Stop mode
    * Fixed old bug with "Add arranged time points" if length of music more than 42 minutes. 
    * Fixed old bug with sorting by date in the file panel.
    * Fixed several other minors bugs.
    + Improved speed of opening project or presentation with number of slides more than 300..500. 
    + Added support for JPEG pictures which have unusual .jpe extension
    + Ctrl+A is assigned now to select all pictures in the file panel, instead of "Save As"
    + This version contains new improved music player:
      > Added built-in support for OGG Vorbis music files (.ogg);
      > You need not to choose between "Internal" and "External" players more.
        New music player provides high quality playing and exact synchronization;
      > Fully compatible with Windows 95, 98, Me, NT, 2000 and XP;
      > New player can work even under Windows without installed DirectX or Media Player;
      > Even presentation with 500 MB of music files starts immediately now;
      > Improved support of various types of MP3 and WAV music files;
      > MIDI music instantly starts playing under Windows XP;
      > Fixed rare cases of music glitches on some configurations; 
      > Many other improvements.
    + Added fine customization of a slide. 
      Earlier if you wanted to set own time of showing for a slide it was 
      necessary to make all this slide personalized. Now you can assign 
      own time, but keeping background preference or font of text comment 
      according common settings from the Project options.
      This feature will work and with your current projects.  
    + Improvements in the Customize Synchronization window:
      > Double-click on a transition point to show "Customize Slide" window;
      > Status bar always displays current position of the cursor;
    + Imporovements in the Visual Editor of objects:
      > It's possible to cancel dragging of object(s) by pressing of the right mouse button;
      > You can move selected object(s) pressing arrows of cursor on the keyboard;
      > You can call popup menu by clicking of right mouse button or special key on the keyboard;
      > To switch between objects press <Tab> key on the keyboard;
      > Status bar displays file name of picture for selected transition point;
      > Some other improvements.
    + Added "Run application after last slide" option (Project options | "Advanced" tab).
      Another presentation can be ran when main presentation finished with last slide.
      This options also requires turned on "Close show after last slide" option.  
    + Added new option "Slide List: Show file names only (without full path)" 
      (see Main menu | Advanced options). And this option is turned on by default, 
      but of course, you can set the old view with displaying of full file path. 
    + PicturesToExe displays real file name of a project in the caption of the main window.
    + You can use "Caption of show" parameter (Project options | "Screen" tab) to display 
      name of presentation in the caption of window or on the taskbar. 
      If this parameter is not assigned then presentation will display 
      name of .exe file (which assigned on moment of creation). 
    + Improved welcome screen of PicturesToExe.
    + And many other various improvements.    


  PicturesToExe v4.01 (March 14, 2003)
  ------------------------------------
    * Fixed old bug when presentation run in the synchronized mode. The music 
      started a little earlier, if the first slide contains a very large JPEG picture. 
      However all next slides were shown *exactly* at the specified time. 
      Now the first slide also will be shown exactly at begining of the music.     
    * Fixed old rare bug in the Startup screen of presentation, if you twice opened the Help window.
    * Fixed old bug, if you pressed Ctrl+Enter in the "Comment" field to enter multi-line comment for a slide.
    * Fixed several other minor bugs.
    + Preview of large pictures works much faster now (with same quality) in 
      the Main window of PicturesToExe and in the "Customize Synchronization" window. 
    + Improved quality and speed of the full-screen viewer of images (the Main window).
    + Improved quality of gradient filling of background, if screen in Hi-Color (16-bit) mode.
    + Improved the shadow for the main picture: 
      > It looks much smoothly now;      
      > You can adjust opacity of the shadow behind the main picture. (Project options | 
        "Screen" tab | "Opacity". From 0 of full transparency to 255 of opacity;
      > The shadow can surround picture around all sides (see "Offset" parameter).
    + Added new default icon for a newly created .exe (or .scr) file of presentation.
      The main icon of PicturesToExe is also improved.
    + Added new option: "Auto hide mouse cursor" (Project options | "Advanced" tab)
    + Some improvements in "Main" and "Advanced" tabs of the Project options.
    + Visual Editor of objects is vastly improved:
      * Fixed several bugs;
      > Added support for transparent GIF pictures (as objects of a slide);
      > You can call "Properties" dialog for a some object by double-clicking of a mouse button;
      > It's possible to cancel dragging of an object by pressing of <Esc> key;
      > To select/deselect several objects, click on an each necessary object holding <Shift> key pressed;
      > To select all objects, press Ctrl+A;
      > Added "Undo" button to cancel last modification;
      > Added Copy/Paste features (Ctrl+C and Ctrl+V);
      > Improved popup menu when you click right mouse button on the object(s);
      > Added hot keys for all actions (see popup menu above); 
      > Added some other helpful improvements.
    + Produced presentations will start faster now. 
    + "Preview" of presentation starts faster.
    + PicturesToExe (Main window) opens projects much faster.
    + Improved "Customize synchronization" window:
      > You can start Preview of a presentation from a necessary slide ("Preview button");
      > Time-line graphically displays effect duration for the transition points;
      > Added vertical graphical lines between sound tracks on the time-line;
      > You can adjust zoom of the time-line. 
        Click "View" button (or press Ctrl+F11/F12 or scroll the wheel of the mouse);
      > Improved work of the horizontal scroll bar;
      > Added new hot keys: Play/Pause - Ctrl-P, Stop - Ctrl+S, Delete - Del, Add - Ins;
      > Click on "New transition" button instantly adds new point; 
      > Added little improvements in the interface of this window.
    + PicturesToExe correctly informs you, if you add damaged JPEG file.
    + PicturesToExe will show a project name in the confirmation dialog 
      (if you close not saved project).
    + Added numbering of slides in the Slide list (Main window).
    + Added support of Traditional Chinese language.
    + Vastly improved support of Italian language
    + Added various improvements in interface of the program.
                                                                                                  

  PicturesToExe v3.80 (October 31, 2002)
  --------------------------------------
    * Fixed bug with showing 256 colors pictures
    * Fixed bug when you open project files (.pte) with "System" attribute
    * Fixed several other bugs
    + Updated PicturesToExe's License for use and distribution
    + Improvements in "Customize Synchronization" window:
      > Added transition effects between slides in Preview mode
      > Now you're able to move transition points by mouse visually;
      > Added "Pause" feature (Play/Pause button)
      > You can change current position of playing even if two or more music files exist
      > Fixed several visual bugs.
    + Menu "Project" -> "Actions on Slide List" is placed 
      as new item on Main menu bar with "Slide" name.
    + Changed images of Select/Deselect all effects buttons (Project options | "Effects" tab)
    + Added "Show music duration" button to the "Music" tab of Project options
    + Added "Set comments for all slides as..." feature (Project options | "Comments")
      > This improved option fills necessary comments and for all new slides;
      > Added "Clear All Comments" button;
      > Added new action: "Display slide number". 
    + Instant start of "Preview". Even for large presentations it takes less than 1 second!
    + Improved action "Run Application" of visual objects. If path of specified 
      application is not found, PicturesToExe will try to run it from the current folder 
      where .exe file of presentation is placed.
    + "Use smoothing" option (Project options | "Screen" tab) is turned on 
      by default when you create a new presentation. This option is highly recommended.
    + Added "Loading..." screen to start presentation with large mp3 files in it.
      Please see Project options | "Main" tab. This option is turned on by default.
      You can change caption of this screen (see Project options | "Messages" tab).       
    + Many other various improvements and changes 


  PicturesToExe v3.75 (July 2, 2002)
  ----------------------------------
    * Fixed several bugs in the visual editor of objects
    * Fixed bug when synchronization mode didn't work with Int. mp3 player option.
    * Fixed old bug with incorrect position of the cursor when you insert 
      new picture(s) into custom place in the image list
    * Fixed several other minor bugs   
    + Added <Reverse Order> option for the sort mode of pictures 
      in the file panel (see Main menu | PicturesToExe | Sort mode)
    - Removed "Update file panel" button (in the main window)
    + File panel automatically updates if new pictures are added into current folder,
      so "Update file panel" button is not needed more.  
    + Added "My Documents" button (instead of removed "Update..." button)
      Now you're able to get quick access to your "My Documents" folder.
    + Added a list of recently opened projects (Main menu | File | Reopen ...)
      That's a simple and fast way to open projects which you work often with
    + Added <Copy slide> (Ctrl+C) and <Paste slide> (Ctrl+V) functions 
      (Select necessary slide in the image list and then call popup menu by 
      clicking of the right mouse button. Choose <Copy slide> or <Paste slide> item)
    + Project options | <Music tab>: you can delete items from a list by "Del" key
    + Added "Repeat music after playing" option (turned ON by default) 
      If you set it unchecked then music will not repeat after playing 
      of all specified musical file(s)
    + In the Filepanel you can easily go to a necessary picture if press its 
      first letter on the keyboard. E.g. "F" key for "Forest.jpg" picture.
    + English.ini and Reg_English.rtf files are vastly corrected and improved. 
      Great thanks to Dana White!
    + Added "Preview of a slide" panel to the synchronization window (Project
      options | "Main" tab | "Customize synchronization" button) It will help 
      you to create presentation with exact synchronization of music with slides.
    + Improved view of PicturesToExe when "Large font" mode (in Windows) is turned on    
    + Added support of Polish language
    + Added support of Ukrainian language
    + Added support of Slovak language
    + A number of small improvements 
                     
   
  PicturesToExe v3.70 (April 4, 2002)
  ----------------------------------- 
    * Fixed bug: visual editor shows main picture even when it's hidden 
    * Fixed bug in visual editor with navigation bar. It shows error message 
      when you try to change preview screen resolution. Now this problem is solved
    * Fixed bug in presentations: it was impossible to save picture/slide by 
      "Print" button on the navigation bar if no printers are installed   
    * Fixed visual bug in status bar (main window of PicturesToExe) under Windows XP
    * Fixed bug with opening of project files (.pte) which have Read-Only attribute
    + Added option (disabled by default) "Don't allow copying of pictures by 
      <PrintScreen> key". If you set on this option then user will not able to 
      copy any pictures or photos from your presentation. But however 
      experienced user can use special software to grab copy of the screen.
    + You can set more exact color of the font for <Text> objects (Visual editor)
    - Removed "Four blocks" transition effect 
    + Added a lot of new transition effects (circle, handle of clock, diagonal line, rhombus)
    + There are a new amazed view of all transition effects (except of <Fade in-out>)
    + Customizable synchronization is added. It means that you can set transition points 
      (commands when go to the next slide) onto special time-line when background music is 
      playing. Visit Project options | <Main> tab | "Customize synchronization" button.
    * Synchronization is very exact now 
    + Added ability to specify part (in percents) of screen to show main picture:
      "... % of the screen to show main picture" (See Project options | <Screen> tab).
      E.g. if even picture has size exactly as the screen resolution, however the picture 
      will fill only 80% of the screen space.
    + PicturesToExe remembers a folder path now if you assign sound comments for several slides 
    + Many visual improvements of interface under Windows XP
    + Improved "About" window (in PicturesToExe)


  PicturesToExe v3.65 (October 18, 2001)
  --------------------------------------
    * Fixed bug with text labels on the national languages in presentations
    * Fixed small bug in "Text for current slide" window 
    + Little improvements in "Save As" and "Create As" dialogs
    + Advanced support of Windows XP:
      > Special optimization;
      > PicturesToExe uses visual styles of Windows XP;
      > New terrific look under Windows XP.
    + Since version 3.65 PicturesToExe works much faster with 
      presentations which have a great number of slides
    + Added "Stop timer on last slide" option (Project options | Main tab)
    + Added support of Czech language 
    + Various changes and visual improvements
        

  PicturesToExe v3.60 (July 12, 2001)
  -----------------------------------
    + Fixed bug in presentation's startup screen if large background picture used
      (it will be shown properly in any screen resolution)
    + Fixed bug with saving of project if existed .pte file has read-only attribute
    + Fixed minor bug when you click <Exit> button on presentation's startup screen
    + Fixed several other minor bugs
    + Added <Level Up> button (from right side of drive panel) 
    + Added <Refresh file panel> button (located in the same place as <Level Up> button) 
    + It's possible to not include main picture of slide
      (see checkbox near "Picture" field on the main window of PicturesToExe)
    + Added support of Danish language
    + Now you can assign some template as template for all new projects. See Main 
      menu | File | Templates | Manage templates -> "Default template for new projects".
      So it will be run on PicturesToExe's startup and when you click "New project".
    + The size of picture is shown in preview area
    + You can quickly move current slide up/down in the image list 
      by pressing Ctrl+UpArrow and Ctrl+DownArrow keys
    + Added ability to save current slide/picture as a file on disk.
      See Project options | Main tab -> Allow restoring of pictures 
      ("Print" button on the Navigation bar)
    + Added "Synchronization by music" feature! See Project options | <Main> tab
    + Much improved view of nag-label in produced presentations. 
      Semi-transparent panel with real shadow. For unregistered users only ;)
    + Many changes and visual improvements in the main window of PicturesToExe


  PicturesToExe v3.51 (March 18th, 2001)
  --------------------------------------
    + Fixed several minor bugs.
    + Improved startup screen of PicturesToExe.
    + Improved 'About' window.
    + Re-written graphical engine:
      > MMX optimization;
      > Less memory usage;
      > Faster loading and displaying slides;
      > Optimized code;
    + Added <Time limited usage> option (Project options | <Advanced> tab)
      (You can specify date of expiration (e.g. April 25th, 2009) to force
      your presentation stop work after that date);
    + New view of button object (with real shadow);
    + Improved view of navigation bar;
    + Templates (Main menu | Templates)
      (it will help you to create presentations from templates);
    + Added ability to call external editor for sound comment of slide:
      > Select necessary slide (in the image list), click right mouse button
        for popup menu and select <Edit sound comment>;
      > To change external editor go to Main menu | Options and click 
        <File name of sound editor>;
    + Now you can assign own list of background music for one or several slides
      (select necessary slide | click <Customize slide> button | select <Music> tab);
    + Startup window became more customizable. You're able to insert your own image
      (Project options | <Main> tab | <Customize startup window> button);
    + File panel shows pictures (by bold font) which are added into image list;
    + Tested with Windows XP (beta);
    + A number of minor improvements.


  PicturesToExe v3.40 (February 4th, 2001)
  ----------------------------------------
    * Fixed bug with .rmi MIDI files (for background music)
    * Fixed several bugs in visual editor of objects
    + Added support of .wma files (for background music)
    + Added confirmation dialog when you click <Clear> button
    + Improved transition effects:
      > Added cool "Fade in/out" effect! 
        See Project options | <Effects> tab | "Fade in/out";
        To customize duration of effect use "Duration of "Fade in/out" effect" 
    + Added new User manual (in help system, F1 key):
      > Detailed description of how to create presentation;
      > A number of illustrations;
    + Improved window with personal settings of slide:
      > Settings were splitted into three tabs (Main, Comment, Effects);
      > In the new "Effects" tab you can select individual parameters of 
        transition effect for current slide (type of effect and its duration).
    + Added new style of background - <Gradient filling> (Project options | <Screen> tab)
    + Added ability to show real shadow of main picture (Project options | <Screen> tab)
    + Added support of Chinese Traditional language
    + And many other changes and improvements!


  PicturesToExe v3.30 (December 14th, 2000)
  -----------------------------------------
    * Fixed minor bug with color of main program's window on some color schemes
    + Click on .pte file (in Windows Explorer) opens this project in PicturesToExe
    ! Please check window size if you use windowed mode of presentation
    + Exit from screen saver (if .scr presentation) by pressing any key
    + Now you can replace standard icon of the produced presentation.
      Format of icon: 16x16 or 32x32 icon (or both) with
      16 or 256 colors. To add icons go to Project options, <Advanced> tab
    + PicturesToExe was tested with new OS from Microsoft - Windows Whistler (beta)
      (no problem with shell of the program, produced presentations work fine)
    + Visual editor of objects. Select necessary slide in the
      image list and click <Objects> button (or press Ctrl+B)
    + Quick preview. Select necessary slide in the image list and click on its small
      picture (on the right-top part of the screen)
    + Added new action for the objects: "Run Application and exit"
    + Added support of Brazilian Portuguese language
    + More accurate autodetect of interface language
    + Windows Screen Saver doesn't start if presentation is active
    + Main menu is improved
    + Performance of the presentation is increased
    + Smaller use of memory to run the presentation
    + Some other changes


  PicturesToExe v3.20 (October 27th, 2000)
  ----------------------------------------
   + Good news for users who liked previous internal mp3 player!
     Now you're free in your choice of mp3 engine - new mp3 player
     (based on possibilities of Media Player) or previous internal mp3 engine.
     See Project options, <Music> tab, <Use internal wav/mp3 player> option.
     No size increases of .exe/.scr file if you will not use own 
     mp3 engine, of course. This library will be included to .exe/.scr file 
     in case of you've set checked <Use internal wav/mp3 player> option.
     Note: we recommend to use external mp3 player to get more possibilities, but 
     anyway you'll produce always stand-alone .exe/.scr file of presentation.
   + Added support of Chinese language
  

  PicturesToExe v3.15 (October 21st, 2000)
  ----------------------------------------
   * Fixed bug with detecting of necessary disk space for 
     workability of presentation (bug was in v3.10 only)
   * Fixed some bug with showing of slides in <Random> mode
   + Also improved <Random> mode - show of slides without repeats already shown.
   + Added support of Romanian language
   + And some other changes 


  PicturesToExe v3.10 (October 17th, 2000)
  ----------------------------------------
   ! Hot info: minimal size of produced .exe file is 195 KB now
   * Fixed minor bug with calculation size of replaced picture in the list 
   * Fixed bug when running presentation with sound/music files on
     computers without sound card
   * Fixed bug when presentation runs under Windows without DirectX 3.0 or later
   + Terrific smoothness of transition effects! 
   + Now use Windows Media for playing mp3 files
     > Removed previous internal mp3 player;
     > Size of the .exe file with presentation contains mp3 files becames
       less on 74 KB;
     > Now presentation requires DirectX 3.0 or higher to run;
     > You can add mp3 file as sound comment for a current slide;
     > It's possible to use playing of background music (any type) 
       and sound comments for slides simultaneously - it will work
       on any sound card;
   + Improved transitions effects
     > Code of transitions effects is full rewritten;
     > Exact duration of effect on the every computer;
     > Duration of effect can be specified in the milliseconds 
       (Project options, <Effects> tab);
     > Added new effects;
     > Fine customization of all effects (see Project optioms, <Effects> tab);
   + New enhanced drives bar
     > Full rewritten component;
     > Button of selected drive is marking as pressed;
     > If drives don't fit on drives bar, then scroll buttons appear;
   + New help system based on Microsoft HTML Help
   + Added option <Random order of playing> of background music 
     (see Project options, <Music> tab)
   + Improved <Fit-to-screen> option. Now picture fits to screen keeping
     aspect ratio (Project options, <Screen> tab)
   + Added support of German language
   + Added support of Catalan language
   + Added support of French language
   + Added support of Spanish language
   + Added support of Swedish language
   + Added print function (in produced presentation) 
     > This function allows you to print only picture or all slide;
     > <Print> button located at the navigation bar;
     > Also you can localize words of print dialog 
       (which appear on clicking <Print> button in presentation);
     > Added <Print> action for button, hyperlink and picture objects;
   + Some other changes


  PicturesToExe v3.00 (August 24th, 2000)
  ---------------------------------------
   * Fixed several bugs with work of presentation in Screen Saver mode 
   * Fixed old bug with multiple runnings of screen saver under Windows 98
   * Fixed small bug with calculation the preliminary size of exe/scr file
   + New installation shell of the program 
   + Tested under Windows Millennium
   + Engine code of EXE/SCR presentation is full rewritten
   + Added <Random slide-show> (Project options, <Main> tab)  
   + Added <Without border> window mode (Project options, <Screen> tab)
   + <Customize playlist> window was moved to <Music> tab of Project options
   + Timer interval can be specified in milliseconds (Project options, <Main> tab)
   + Optimization for re-iterative files (you can include many copies of 
     sound file or picture, but they will occupy place in exe/scr file 
     as one sound or picture!)
   + Added object system. Now you can add objects to each slide!
     > Supported objects: buttons, hyperlinks, texts, sub-pictures;
     > Buttons, hyperlinks and sub-pictures can execute some action:
       go to the next, previous, first slide or slide with 
       specified number, pause presentation, show help message, exit 
       from presentation, open Web page, write E-mail, execute application;  
     > All objects contain many parameters for fine customization;
     > Each slide can contain hundreds of objects;  
     > To edit objects of current slide select the necessary picture in 
       image list and click <Object> button (located at the right-bottom 
       part of the main window of PicturesToExe);
     > In the future we plan to make visual editing of objects and
       include support for animated GIFs sub-pictures;
     > Also see our updated examples of presentations created with v3.00
       and which use object system (http://www.wnsoft.com/download.htm)
   + You can edit picture's filename now
   + Added Gray* hotkey to select/deselect pictures in the file panel 
   - Removed support of projects created with PicturesToExe v1.00 - v1.60
   + Updated FAQ
   + And more than 60 other changes!
         

  PicturesToExe v2.30 (June 21st, 2000)
  -------------------------------------
   + Fixed bug with closing of presentation if set checked 
     option <Exit on mouse move> (Project options, <Advanced> tab)  
   + And other changes
                    

  PicturesToExe v2.25 (June 14th, 2000)
  -------------------------------------
   + Fixed bug with incorrect positioning of the navigation bar 
     (this bug contain only in v2.20)
   + Added support for Slovenian languge
   + And other changes


  PicturesToExe v2.20 (May 25th, 2000)
  ------------------------------------
   + Added support for Hungarian language
   + Now you can add multi-strings comment for slides. To enter text click
     small button located at the right from the field where you entered 
     a comment string earlier. Also you can customize strings interval
     and text alignment (see Project options, <Comments> tab or
     personal settings for necessary slide - Ctrl+U).
   + Changed e-mail address of technical support to: support@wnsoft.com
   + Updated help system and documentation
   + Updated FAQ (added two new questions)
   + Added <Help> and <Exit> buttons to navigation bar (see below)
   + Can customize buttons of navigation bar (see Project options, 
     <Advanced> tab, <Customize navigation bar...> button)


  PicturesToExe v2.15 (April 26th, 2000)
  --------------------------------------
  Changes since version 2.10:
   * Fixed bug which appear on playing of mp3 file on some sound cards 

  Changes since version 2.10 beta:
   * Fixed several bugs
   + Improved support for Netherlands language
   + Added support for Italian language
   + Improved "About..." window

  Changes since version 2.00:
   * Fixed several bugs
   * We're fixed old bug with staying empty blocks on taskbar after
     closing presentation under Windows 98!
   + It's possible to hide mouse cursor during presentation
     (see Project options, <Advanced> tab)
   + File panel is more comfortable in use
   + It's possible to remove pictures from image list by <Del> key
   + Added support for Russian and Netherlands languages (if you want to 
     add  your native language, please contact us at igor@wnsoft.com)
   + It's possible to translate texts of messages in the produced presentation
     (captions of buttons, labels, etc.) - see Project options, <Messages> tab
   + Added special tools for working with comments: see Main menu, Edit,
     <For current comment> and <For all comments>
     (to fill comment fields with picture name)
   + Added <Name> button of file panel header to change sort mode
   + Little improvement in panel of drives
   + Added <Exit> button to the startup window of presentation
   + Also <Exit> or <Help> buttons of startup window can be disabled
     (see Project options, <Main> tab, <Customize startup window>)
   + Can include more than one audio file for background music
     (see Project options, <Advanced> tab, <Customize playlist> button)
   + Many other changes and improvements


 PicturesToExe v2.00 (March 21st, 2000)
 --------------------------------------
 Changes since version v2.00 beta:
  * Fixed several bugs
  + Size of produced presentation (with .mp3 file playing)
    now reduced by 77 KB, than it was in previous versions!
  + Added support for wheeling mouse in produced presentations
  + Added new value of <transition effect duration> - "More long"
  + Now you can select several pictures with holding down Shift Key
  + And other changes

 Changes since version v1.60:
  * Fixed several bugs
  + Improved file panel and image list, another changes in the interface
  + Show index of selected slide in image list
  + New format of the project files (.pte)
    (project files created with previous versions of PicturesToExe
    will be automatically converted to new format)
  + Now you can re-order slides in image list by dragging them
  + Added new function - <Create As> (hotkey F8),
    now <Create> works like <Save>, and <Create As> like <Save As>
  + Each slide can be customized with personalized properties  
    (individual time interval, background settings, comment's font, etc.)
  + .WAV file (attached to a slide) stopped presentation till the end of
    its playing. Now fixed
  + Added password protection
  + Now you can select several pictures (Insert key, or with holding
    down Ctrl key)
  + Now you can choose a .gif file for background picture
  + Produced presentation is more optimized and works faster
  + Size of produced presentation now reduced by 27 KB, than it was in v1.60!
  + Changed structure of components in the window <Project options>
  + Added <Fit to screen> option (see Project options, <Screen> tab)
  + Added <Use smoothing> option (see Project options, <Screen> tab)
  + Now you can enable/disable sounds (Main menu, Options, <Enable sounds>)
  + Added action <Synchronize all slides> (Main menu, Edit) to set 
    common settings for all slides (except sound and comment)
  + Added action <Select all pictures> (Main menu, Edit)
  + Added <Exit on mouse move> option (see Main menu, <Advanced> tab)
  + Added 11 transition effects! (see Project options, <Effect> tab)
  + Improved startup and help windows (in produced presentation)
  + Improved startup window of PicturesToExe
  + Added new help section: "How to create a presentation using PicturesToExe" 
  + Several other changes 


 PicturesToExe v1.60 (February 14th, 2000)
 -----------------------------------------
 Added since version v1.60 beta:
  * Fixed several minor bugs
  * Fixed problem with sound when playing background mp3 file
  + Updated help system
  + Changed icon of PicturesToExe
  + Several other changes

  * Fixed minor bug
  + Improved startup screen (in PicturesToExe)
  + Updated nag-screen
  + Produced presentation can be run in windowed mode (see Project options)
  + Added hotkey Ctrl+D for action <Add all pictures>
  + Added license agreement
  + Updated documentation files
  + Updated and improved help system
  + Updated FAQ about PicturesToExe (added new question)
  + Added possibility to display filename of picture in preview panel
  + Added possibility to customize left and right mouse clicks (see Project options)
  + Added <Pause> button to Control panel
  + Now you can create your own Screen Savers!
  + It's possible to customize help message, which appears in produced 
    presentation by pressing F1 key
  + Several other changes


 PicturesToExe v1.55 (January 15th, 2000)
 ----------------------------------------
 Added since version v1.50:
 + Can play background mp3 music!
   (used own mp3 engine, - so excellent as WinAmp and with low CPU usage.
    Important: we don't recommend using together .wav sounds comments for pictures
    with playing of background mp3 music, because it may call conflict 
    on some Sound cards) 
                               
 Added since version v1.50 beta:
 * Fixed minor bug
 + Added hotkey <Delete> to delete current picture from image list
 + Size of produced presentations now decreased on 19 KB!
 + Added preview for background picture in Open dialog
 + Corrected some texts and messages
 + Now you can enlarge picture to full screen in preview area by single
   left mouse click.
 + Several other changes

 * Fixed bug: repeat function didn't work in preview mode.
 * Fixed bug with pressing <Space> key in Startup window 
   (in produced presentation).
 + Added showing hints for menu items
   (you can turn it on/off in Main Menu/Options/Show hints).
 + Added startup screen (can be disabled).
 + Added FAQ (Frequently Asked Questions) about PicturesToExe.
 + Added hotkey Ctrl+F9: Create and run generated presentation.
 + Updated help system (F1).
 + Added help screen to produced presentation (F1).
 + Information about path of generated EXE file now saves in project file.
 + Automatic loading last used project (can be disabled).
 + Added <BkSpace> hotkey.
 + In produced presentation: added possibility to return to the previous slide
   (Hotkeys: <Left>, <Up>, <PageUp> or <BkSpace>).
 + Added Control panel to produced presentation (see <Options> window)
 + Several other changes.                                                                  


 PicturesToExe v1.40 (December 3rd, 1999)
 ----------------------------------------
 * Fixed several small bugs
 + Can add startup screen with author's information
 + Added support for background music
 + Can change color of the background
 + Can put image to the background
 + Possibility to change drive by pressing key on keyboard (a,b,c etc)
 + Several changes in the <Options> window
 + Updated documentation
 + Some other changes


 PicturesToExe v1.30 (October 3rd, 1999)
 ---------------------------------------
 * Fixed several small bugs
 + Dialog windows can be resized (only for Windows 98 and Windows 2000)
 + Added support for sounds
 + Now you can save/open your projects
 + Added the help system
 + Added item: main menu, <Edit>, 
   item <Make all comments as selected>, hotkey - Ctrl+C 
 + Several changes at main menu 
 + Several other changes


 PicturesToExe v1.20 (August 25th, 1999)
 ---------------------------------------
 * Fixed several bugs
 + Updated description of program in Readme.txt
 + Added new option <Autosave filename and path> to Main menu
   (if it is checked - Filename and Pathname will be saved in SaveAs dialog)
 + Supports descriptions for pictures
 + Added <Preview> button
 + Use right mouse button for the next picture 
 + Several other changes


 PicturesToExe v1.10 (July 28th, 1999)
 -------------------------------------
 * Fixed several bugs
 + Added zooming picture (+/- keys)
 + Show supposed size of EXE file on status bar
 + Added action 'Restore default window size' (in main menu)
 + Added option 'Show wallpaper on window' (in main menu)
 + Can resize window
 + Changed icon of program 
 + Changes address of our web site - www.wnsoft.com
   PicturesToExe's page is www.wnsoft.com/apr
   

 PicturesToExe v1.00 (July 2nd, 1999)
 ------------------------------------
 * Released PicturesToExe v1.00

